Return a wallet address for a given currency
curl --request GET \
--url https://api.custody.api-zodia.io/v2/api/core/wallets/{walletId}/addressimport requests
url = "https://api.custody.api-zodia.io/v2/api/core/wallets/{walletId}/address"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://api.custody.api-zodia.io/v2/api/core/wallets/{walletId}/address', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"address": "<string>",
"ledger": "<string>",
"walletId": "<string>",
"walletOwner": {
"id": "<string>",
"name": "<string>",
"address": {
"address1": "<string>",
"city": "<string>",
"country": "<string>",
"address2": "<string>",
"zipCode": "<string>"
}
},
"custodian": {
"id": "<string>",
"name": "<string>",
"address": {
"address1": "<string>",
"city": "<string>",
"country": "<string>",
"address2": "<string>",
"zipCode": "<string>"
}
},
"integrityDetails": {
"signature": "<string>",
"zodiaPublicKey": "<string>"
},
"currencyId": "<string>"
}{
"timestamp": "2021-10-27T14:30:13.912Z",
"title": "Method Not Allowed",
"status": 415,
"details": [
{
"message": "Available methods : GET,POST",
"code": "ER-204"
}
]
}{
"timestamp": "2021-10-27T14:30:13.912Z",
"title": "Method Not Allowed",
"status": 415,
"details": [
{
"message": "Available methods : GET,POST",
"code": "ER-204"
}
]
}{
"timestamp": "2021-10-27T14:30:13.912Z",
"title": "Method Not Allowed",
"status": 415,
"details": [
{
"message": "Available methods : GET,POST",
"code": "ER-204"
}
]
}{
"timestamp": "2021-10-27T14:30:13.912Z",
"title": "Method Not Allowed",
"status": 415,
"details": [
{
"message": "Available methods : GET,POST",
"code": "ER-204"
}
]
}API - WALLETS - V2
Return a wallet address for a given currency
GET
/
v2
/
api
/
core
/
wallets
/
{walletId}
/
address
Return a wallet address for a given currency
Path Parameters
Response
OK
On-chain address
Maximum string length:
128Ledger associated with the address
Maximum string length:
6Wallet ID associated with the address
Maximum string length:
128Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Currency ID associated with the address
Maximum string length:
128⌘I